package org.stuartgunter.rep.web;

import com.google.common.collect.ImmutableMap;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.stuartgunter.rep.annotations.Robot;

import java.util.Map;

import static org.stuartgunter.rep.annotations.RobotsDirective.NO_INDEX;

/**
 * User: gunters
 * Created: 09/03/2012 16:02
 */
@Controller
@RequestMapping("/json")
public class JsonRobotsController {

    @Robot(directives = NO_INDEX)
    @RequestMapping(produces = "application/json")
    @ResponseBody
    public Map<String, String> json() {
        return ImmutableMap.of("some", "data");
    }
}
