package org.stuartgunter.rep.web;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.stuartgunter.rep.annotations.Robot;
import org.stuartgunter.rep.annotations.Robots;

import static org.stuartgunter.rep.annotations.RobotsDirective.*;

/**
 * @author Stuart Gunter
 */
@Controller
@RequestMapping("/simple")
public class SimpleRobotsController {

    protected static final String DEMO_PAGE = "demo";

    @Robot(directives = NO_INDEX)
    @RequestMapping("/one-robot")
    public String oneRobot() {
        return DEMO_PAGE;
    }

    @Robots({
        @Robot(userAgent = "googlebot", directives = NO_INDEX),
        @Robot(directives = NO_ARCHIVE)
    })
    @RequestMapping("/two-robots")
    public String twoRobots() {
        return DEMO_PAGE;
    }

    @Robot(userAgent = "googlebot", directives = UNAVAILABLE_AFTER, unavailableAfter = "3 days")
    @RequestMapping("/one-robot-with-expiry")
    public String oneRobotWithExpiry() {
        return DEMO_PAGE;
    }
}
